Name:           squidclamav
Version:        6.10
Release:        2%{?dist}
Summary:        HTTP Antivirus for Squid based on ClamAv and the ICAP protocol

Group:          System Environment/Daemons
License:        GPL
URL:            http://sourceforge.net/projects/squidclamav/
Source0:        http://sourceforge.net/projects/squidclamav/files/%{name}/%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}-httpd.conf

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  c-icap-devel
Requires:       squid c-icap

%description
SquidClamav v6 is an antivirus for the Squid proxy based on the ICAP
protocol and the awards-winning ClamAv anti-virus toolkit. Using it will
help you securing your home or enterprise network web traffic.
SquidClamav is the most efficient antivirus tool for HTTP traffic
available for free, it is written in C as a c-icap service and can
handle several thousands of connections at once.

%prep
%setup -q

%build
%configure \
	--enable-shared \
	--with-c-icap	

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' | xargs rm

install -D -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{name}.conf
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%{_libdir}/c_icap/*.so
%{_libexecdir}/%{name}/clwarn.*
%{_mandir}/man1/%{name}.1.gz
#{_datadir}/%{name}/README

%changelog
* Mon Nov 11 2013 momo-i <webmaster@momo-i.org> - 6.10-2
- Add required package

* Wed Oct  9 2013 momo-i <webmaster@momo-i.org> - 6.10-1
- Initial rpm release.
